import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PatientArgsObjectSchema as PatientArgsObjectSchema } from './PatientArgs.schema';
import { AppointmentArgsObjectSchema as AppointmentArgsObjectSchema } from './AppointmentArgs.schema';
import { UserArgsObjectSchema as UserArgsObjectSchema } from './UserArgs.schema';
import { StaffArgsObjectSchema as StaffArgsObjectSchema } from './StaffArgs.schema';
import { NpiProviderArgsObjectSchema as NpiProviderArgsObjectSchema } from './NpiProviderArgs.schema';
import { ServiceLineFindManySchema as ServiceLineFindManySchema } from '../findManyServiceLine.schema';
import { ClaimFileFindManySchema as ClaimFileFindManySchema } from '../findManyClaimFile.schema';
import { PaymentArgsObjectSchema as PaymentArgsObjectSchema } from './PaymentArgs.schema';
import { ClaimCountOutputTypeArgsObjectSchema as ClaimCountOutputTypeArgsObjectSchema } from './ClaimCountOutputTypeArgs.schema'

const makeSchema = () => z.object({
  patient: z.union([z.boolean(), z.lazy(() => PatientArgsObjectSchema)]).optional(),
  appointment: z.union([z.boolean(), z.lazy(() => AppointmentArgsObjectSchema)]).optional(),
  user: z.union([z.boolean(), z.lazy(() => UserArgsObjectSchema)]).optional(),
  staff: z.union([z.boolean(), z.lazy(() => StaffArgsObjectSchema)]).optional(),
  npiProvider: z.union([z.boolean(), z.lazy(() => NpiProviderArgsObjectSchema)]).optional(),
  serviceLines: z.union([z.boolean(), z.lazy(() => ServiceLineFindManySchema)]).optional(),
  claimFiles: z.union([z.boolean(), z.lazy(() => ClaimFileFindManySchema)]).optional(),
  payment: z.union([z.boolean(), z.lazy(() => PaymentArgsObjectSchema)]).optional(),
  _count: z.union([z.boolean(), z.lazy(() => ClaimCountOutputTypeArgsObjectSchema)]).optional()
}).strict();
export const ClaimIncludeObjectSchema: z.ZodType<Prisma.ClaimInclude> = makeSchema() as unknown as z.ZodType<Prisma.ClaimInclude>;
export const ClaimIncludeObjectZodSchema = makeSchema();
